problems with 64 bit machine

Problems with the Linux version of XAMPP, questions, comments, and anything related.

problems with 64 bit machine

Postby carlo » 06. June 2007 13:47

Dear all,

I installed lampp on a 64 bit machine and tried to compile a user defined function for mysql. It odid not work, here are the error messages and the version of gcc that I used.

In case there is no easy solution I volunteer to compile lampp on this architecture and provide the package. I need instructions and support though.

Regards,

Carlo Ferrigno

g++ -Wall -shared -o libmysql_dsep.so mysql_dsep.c `mysql_config --include` `mysql_config --cflags` `mysql_config --libs`
/usr/lib64/gcc/x86_64-suse-linux/4.1.2/../../../../x86_64-suse-linux/bin/ld: /tmp/ccrEgJJ0.o: relocation R_X86_64_32 against `__gxx_personality_v0' can not be used when making a shared object; recompile with -fPIC
/tmp/ccrEgJJ0.o: could not read symbols: Bad value
collect2: ld returned 1 exit status
ferrigno@storraid:~/Swift/Survey/DataBase> g++ -fPIC -Wall -shared -o libmysql_dsep.so mysql_dsep.c `mysql_config --include` `mysql_config --cflags` `mysql_config --libs`
/usr/lib64/gcc/x86_64-suse-linux/4.1.2/../../../../x86_64-suse-linux/bin/ld: skipping incompatible /opt/lampp/lib/mysql/libmysqlclient.so when searching for -lmysqlclient
/usr/lib64/gcc/x86_64-suse-linux/4.1.2/../../../../x86_64-suse-linux/bin/ld: skipping incompatible /opt/lampp/lib/mysql/libmysqlclient.a when searching for -lmysqlclient
/usr/lib64/gcc/x86_64-suse-linux/4.1.2/../../../../x86_64-suse-linux/bin/ld: cannot find -lmysqlclient
collect2: ld returned 1 exit status
ferrigno@storraid:~/Swift/Survey/DataBase> g++ -v
Using built-in specs.
Target: x86_64-suse-linux
Configured with: ../configure --enable-threads=posix --prefix=/usr --with-local-prefix=/usr/local --infodir=/usr/share/info --mandir=/usr/share/man --libdir=/usr/lib64 --libexecdir=/usr/lib64 --enable-languages=c,c++,objc,fortran,obj-c++,java,ada --enable-checking=release --with-gxx-include-dir=/usr/include/c++/4.1.2 --enable-ssp --disable-libssp --disable-libgcj --with-slibdir=/lib64 --with-system-zlib --enable-shared --enable-__cxa_atexit --enable-libstdcxx-allocator=new --program-suffix=-4.1 --enable-version-specific-runtime-libs --without-system-libunwind --with-cpu=generic --host=x86_64-suse-linux
Thread model: posix
gcc version 4.1.2 20061115 (prerelease) (SUSE Linux)
carlo
 
Posts: 1
Joined: 06. June 2007 13:41

Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 2 guests